package com.jpsoft.shinestar.modules.sys.dao;

import java.util.List;

import com.jpsoft.shinestar.modules.base.entity.CompanyInfo;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.sys.entity.UserCompany;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface UserCompanyDAO {
	int insert(UserCompany entity);
	int update(UserCompany entity);
	int exist(String id);
	UserCompany get(String id);
	int delete(String id);
	List<UserCompany> list();
	List<UserCompany> search(Map<String,Object> searchParams,List<Sort> sortList);
    List<CompanyInfo> findByUserId(String userId);
	int deleteByUserId(String userId);
	List<CompanyInfo> findByUserIdAndOutscourcer(String userId,Boolean isOutsourcer);
}